import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.util.*;
import java.text.SimpleDateFormat;

public class WriteToHTML {
    public static void main(String[] args) {
	String filename = "filename.html";
	String title = "myTitle";
        try (BufferedWriter bw = new BufferedWriter(new FileWriter(filename))) {
            // Write the beginning of the HTML document
	    writeHeader(bw,title);

            // Close the HTML document
	    writeFooter(bw);

            // Close the file
            bw.close();
        } catch (IOException ex) {
            System.err.println("Error writing file: " + ex.getMessage());
        }
    }

    static void writeHeader(BufferedWriter bw, String title) throws IOException{
	// seems to require use of bw.newLine()
	bw.write("<!DOCTYPE html>");  bw.newLine();
	bw.write("<html lang=\"en\">"); bw.newLine();
	bw.write("<head>"); bw.newLine();
	bw.write("<meta charset=\"utf-8\">"); bw.newLine();
	bw.write("<title>" + title+ "</title>"); bw.newLine();
	bw.write("</head>"); bw.newLine();
	bw.write("<body>"); bw.newLine();
	bw.write("<h1>" + title + "</h1>"); bw.newLine();
    }

    static void writeFooter(BufferedWriter bw) throws IOException {
	bw.newLine();
	bw.write("<p><hr>"); bw.newLine();
	bw.write("<p>Maintained by <a href=\"http://www.johnloomis.org\">John Loomis</a>, "); bw.newLine();

    	Calendar calendar = new GregorianCalendar();
	String date = new SimpleDateFormat("d MMMMMMMMM yyyy").format(Calendar.getInstance().getTime());;
	bw.write("last updated <i>" + date + "</i></p>"); bw.newLine();

	bw.write("</body>"); bw.newLine();
	bw.write("</html>"); bw.newLine();
    }
}